package mx.com.amx.mx.dda.crn.dto;

import java.io.Serializable;

/**
 * Es la representacion de la tabla DDA_T_CRN_CLIENTESAP. Se usa para el manejo de las operaciones BD. 
 */

public class CrnClienteSAPDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String ID_CRN;
	private String FECHA_REGISTRO;
	private String ID_CONTRATO_ORIGINAL;
	private String ID_CONTRATO;
	private String INTERFAZ;
	private String CODIGO_SAP;
	private String AUMENTO;
	private String DISMINUCION;
	private String CODIGO_SAPANT;
	private String DESC_NUEVO;
	private String CODIGO_DDA;
	private String FECHA_INICIO;
	private String PROGRAM_ID;
	private String SUBNUMERO;
	private String VUAA;
	private String VUMM;
	private String FECHA_CONTABILIZACION;
	private String ID_TITULO_CNT;
	private String ID_TITULO_CNTORIG;
	private String ID_REGISTRO_SAP;
	private String R_CODIGO_SAP;
	private String R_STATUS;
	private String R_SUBNUMERO;
	private String R_IDDDA;
	private String FECHA_INTENTO;
	private String FECHA_ENVIO_OK;
	private String EJECUTA29;
	private String FECHA_FIN;
	
	public String getID_CRN() {
		return ID_CRN;
	}

	public void setID_CRN(String iD_CRN) {
		ID_CRN = iD_CRN;
	}

	public String getFECHA_REGISTRO() {
		return FECHA_REGISTRO;
	}

	public void setFECHA_REGISTRO(String fECHA_REGISTRO) {
		FECHA_REGISTRO = fECHA_REGISTRO;
	}

	public String getID_CONTRATO_ORIGINAL() {
		return ID_CONTRATO_ORIGINAL;
	}

	public void setID_CONTRATO_ORIGINAL(String iD_CONTRATO_ORIGINAL) {
		ID_CONTRATO_ORIGINAL = iD_CONTRATO_ORIGINAL;
	}

	public String getID_CONTRATO() {
		return ID_CONTRATO;
	}

	public void setID_CONTRATO(String iD_CONTRATO) {
		ID_CONTRATO = iD_CONTRATO;
	}

	public String getINTERFAZ() {
		return INTERFAZ;
	}

	public void setINTERFAZ(String iNTERFAZ) {
		INTERFAZ = iNTERFAZ;
	}

	public String getCODIGO_SAP() {
		return CODIGO_SAP;
	}

	public void setCODIGO_SAP(String cODIGO_SAP) {
		CODIGO_SAP = cODIGO_SAP;
	}

	public String getAUMENTO() {
		return AUMENTO;
	}

	public void setAUMENTO(String aUMENTO) {
		AUMENTO = aUMENTO;
	}

	public String getDISMINUCION() {
		return DISMINUCION;
	}

	public void setDISMINUCION(String dISMINUCION) {
		DISMINUCION = dISMINUCION;
	}

	public String getCODIGO_SAPANT() {
		return CODIGO_SAPANT;
	}

	public void setCODIGO_SAPANT(String cODIGO_SAPANT) {
		CODIGO_SAPANT = cODIGO_SAPANT;
	}

	public String getDESC_NUEVO() {
		return DESC_NUEVO;
	}

	public void setDESC_NUEVO(String dESC_NUEVO) {
		DESC_NUEVO = dESC_NUEVO;
	}

	public String getCODIGO_DDA() {
		return CODIGO_DDA;
	}

	public void setCODIGO_DDA(String cODIGO_DDA) {
		CODIGO_DDA = cODIGO_DDA;
	}

	public String getFECHA_INICIO() {
		return FECHA_INICIO;
	}

	public void setFECHA_INICIO(String fECHA_INICIO) {
		FECHA_INICIO = fECHA_INICIO;
	}

	public String getPROGRAM_ID() {
		return PROGRAM_ID;
	}

	public void setPROGRAM_ID(String pROGRAM_ID) {
		PROGRAM_ID = pROGRAM_ID;
	}

	public String getSUBNUMERO() {
		return SUBNUMERO;
	}

	public void setSUBNUMERO(String sUBNUMERO) {
		SUBNUMERO = sUBNUMERO;
	}

	public String getVUAA() {
		return VUAA;
	}

	public void setVUAA(String vUAA) {
		VUAA = vUAA;
	}

	public String getVUMM() {
		return VUMM;
	}

	public void setVUMM(String vUMM) {
		VUMM = vUMM;
	}

	public String getFECHA_CONTABILIZACION() {
		return FECHA_CONTABILIZACION;
	}

	public void setFECHA_CONTABILIZACION(String fECHA_CONTABILIZACION) {
		FECHA_CONTABILIZACION = fECHA_CONTABILIZACION;
	}

	public String getID_TITULO_CNT() {
		return ID_TITULO_CNT;
	}

	public void setID_TITULO_CNT(String iD_TITULO_CNT) {
		ID_TITULO_CNT = iD_TITULO_CNT;
	}

	public String getID_TITULO_CNTORIG() {
		return ID_TITULO_CNTORIG;
	}

	public void setID_TITULO_CNTORIG(String iD_TITULO_CNTORIG) {
		ID_TITULO_CNTORIG = iD_TITULO_CNTORIG;
	}

	public String getID_REGISTRO_SAP() {
		return ID_REGISTRO_SAP;
	}

	public void setID_REGISTRO_SAP(String iD_REGISTRO_SAP) {
		ID_REGISTRO_SAP = iD_REGISTRO_SAP;
	}

	public String getR_CODIGO_SAP() {
		return R_CODIGO_SAP;
	}

	public void setR_CODIGO_SAP(String r_CODIGO_SAP) {
		R_CODIGO_SAP = r_CODIGO_SAP;
	}

	public String getR_STATUS() {
		return R_STATUS;
	}

	public void setR_STATUS(String r_STATUS) {
		R_STATUS = r_STATUS;
	}

	public String getR_SUBNUMERO() {
		return R_SUBNUMERO;
	}

	public void setR_SUBNUMERO(String r_SUBNUMERO) {
		R_SUBNUMERO = r_SUBNUMERO;
	}

	public String getR_IDDDA() {
		return R_IDDDA;
	}

	public void setR_IDDDA(String r_IDDDA) {
		R_IDDDA = r_IDDDA;
	}

	public String getFECHA_INTENTO() {
		return FECHA_INTENTO;
	}

	public void setFECHA_INTENTO(String fECHA_INTENTO) {
		FECHA_INTENTO = fECHA_INTENTO;
	}

	public String getFECHA_ENVIO_OK() {
		return FECHA_ENVIO_OK;
	}

	public void setFECHA_ENVIO_OK(String fECHA_ENVIO_OK) {
		FECHA_ENVIO_OK = fECHA_ENVIO_OK;
	}

	public String getEJECUTA29() {
		return EJECUTA29;
	}

	public void setEJECUTA29(String eJECUTA29) {
		EJECUTA29 = eJECUTA29;
	}

	public String getFECHA_FIN() {
		return FECHA_FIN;
	}

	public void setFECHA_FIN(String fECHA_FIN) {
		FECHA_FIN = fECHA_FIN;
	}

	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" ID_CRN: _" + this.getID_CRN() + "_" + NEW_LINE);
		result.append(" FECHA_REGISTRO: _" + this.getFECHA_REGISTRO() + "_" + NEW_LINE);
		result.append(" ID_CONTRATO_ORIGINAL: _" + this.getID_CONTRATO_ORIGINAL() + "_" + NEW_LINE);
		result.append(" ID_CONTRATO: _" + this.getID_CONTRATO() + "_" + NEW_LINE);
		result.append(" INTERFAZ: _" + this.getINTERFAZ() + "_" + NEW_LINE);
		result.append(" CODIGO_SAP: _" + this.getCODIGO_SAP() + "_" + NEW_LINE);
		result.append(" AUMENTO: _" + this.getAUMENTO() + "_" + NEW_LINE);
		result.append(" DISMINUCION: _" + this.getDISMINUCION() + "_" + NEW_LINE);
		result.append(" CODIGO_SAPANT: _" + this.getCODIGO_SAPANT() + "_" + NEW_LINE);
		result.append(" DESC_NUEVO: _" + this.getDESC_NUEVO() + "_" + NEW_LINE);
		result.append(" CODIGO_DDA: _" + this.getCODIGO_DDA() + "_" + NEW_LINE);
		result.append(" FECHA_INICIO: _" + this.getFECHA_INICIO() + "_" + NEW_LINE);
		result.append(" PROGRAM_ID: _" + this.getPROGRAM_ID() + "_" + NEW_LINE);
		result.append(" SUBNUMERO: _" + this.getSUBNUMERO() + "_" + NEW_LINE);
		result.append(" VUAA: _" + this.getVUAA() + "_" + NEW_LINE);
		result.append(" VUMM: _" + this.getVUMM() + "_" + NEW_LINE);
		result.append(" FECHA_CONTABILIZACION: _" + this.getFECHA_CONTABILIZACION() + "_" + NEW_LINE);
		result.append(" ID_TITULO_CNT: _" + this.getID_TITULO_CNT() + "_" + NEW_LINE);
		result.append(" ID_TITULO_CNTORIG: _" + this.getID_TITULO_CNTORIG() + "_" + NEW_LINE);
		result.append(" ID_REGISTRO_SAP: _" + this.getID_REGISTRO_SAP() + "_" + NEW_LINE);
		result.append(" R_CODIGO_SAP: _" + this.getR_CODIGO_SAP() + "_" + NEW_LINE);
		result.append(" R_STATUS: _" + this.getR_STATUS() + "_" + NEW_LINE);
		result.append(" R_SUBNUMERO: _" + this.getR_SUBNUMERO() + "_" + NEW_LINE);
		result.append(" R_IDDDA: _" + this.getR_IDDDA() + "_" + NEW_LINE);
		result.append(" FECHA_INTENTO: _" + this.getFECHA_INTENTO() + "_" + NEW_LINE);
		result.append(" FECHA_ENVIO_OK: _" + this.getFECHA_ENVIO_OK() + "_" + NEW_LINE);
		result.append(" EJECUTA29: _" + this.getEJECUTA29() + "_" + NEW_LINE);
		result.append(" FECHA_FIN: _" + this.getFECHA_FIN() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}
}
